SoScXMLStateMachine Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SoScXMLStateMachine Class Reference
State Chart XML Classes

Integration level for using Coin events with SCXML-based state machines. More...

`#include <Inventor/scxml/SoScXMLStateMachine.h>`

Inheritance diagram for SoScXMLStateMachine:

## Public Member Functions
virtual SoType | getTypeId (void) const
virtual void | setSceneGraphRoot (SoNode *root)
virtual SoNode * | getSceneGraphRoot (void) const
virtual void | setActiveCamera (SoCamera *camera)
virtual SoCamera * | getActiveCamera (void) const
virtual void | setViewportRegion (const SbViewportRegion &vp)
virtual const SbViewportRegion & | getViewportRegion (void) const
virtual void | preGLRender (void)
virtual void | postGLRender (void)
virtual SbBool | processSoEvent (const SoEvent *event)
Public Member Functions inherited from ScXMLStateMachine
virtual void | setName (const SbName &name)
const SbName & | getName (void) const
virtual void | setDescription (ScXMLDocument *document)
const ScXMLDocument * | getDescription (void) const
virtual void | initialize (void)
virtual void | queueEvent (const ScXMLEvent *event, SbBool dealloc=FALSE)
virtual void | queueEvent (const SbName &eventid)
virtual SbBool | processEventQueue (void)
virtual SbBool | isActive (void) const
virtual SbBool | isFinished (void) const
virtual const ScXMLEvent * | getCurrentEvent (void) const
virtual int | getNumActiveStates (void) const
virtual const ScXMLObject * | getActiveState (int idx) const
virtual const ScXMLObject * | getState (const char *identifier) const
virtual void | addDeleteCallback (ScXMLStateMachineDeleteCB *callback, void *userdata)
virtual void | removeDeleteCallback (ScXMLStateMachineDeleteCB *callback, void *userdata)
virtual void | addStateChangeCallback (ScXMLStateChangeCB *callback, void *userdata)
virtual void | removeStateChangeCallback (ScXMLStateChangeCB *callback, void *userdata)
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
virtual SbBool | handleXMLAttributes (void)
virtual void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
SbBool | isContainedIn (const ScXMLObject *object) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLStateMachine
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
static void | initClass (void)

## Additional Inherited Members
Protected Member Functions inherited from ScXMLStateMachine
virtual SbBool | processOneEvent (const ScXMLEvent *event)
virtual void | setCurrentEvent (const ScXMLEvent *event)
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

Integration level for using Coin events with SCXML-based state machines.

This class is part of integrating the Coin types with the SCXML subsystem. SoScXMLStateMachines adds convenience for using SCXML state machines together with Coin events.

Since
  Coin 3.0

## Member Function Documentation

SbBool SoScXMLStateMachine::processSoEvent | ( | const SoEvent * | event | ) |
| virtual

This function makes the state machine process an SoEvent.

The documentation for this class was generated from the following files:

- SoScXMLStateMachine.h
- SoScXMLStateMachine.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.